diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-mac.h ns-3.44/src/wifi/model/wifi-mac.h
--- ns-3.43/src/wifi/model/wifi-mac.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-mac.h	2025-03-09 16:55:49.803372600 -0700
@@ -9,6 +9,7 @@
 #ifndef WIFI_MAC_H
 #define WIFI_MAC_H
 
+#include "mgt-headers.h"
 #include "qos-utils.h"
 #include "ssid.h"
 #include "wifi-mac-queue-scheduler.h"
@@ -50,7 +51,7 @@
 enum class WifiIcfDrop : uint8_t; // opaque enum declaration
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Enumeration for type of WiFi station
  */
 enum TypeOfStation
@@ -63,8 +64,8 @@
 };
 
 /**
- * \ingroup wifi
- * \brief The reason why an MPDU was dropped
+ * @ingroup wifi
+ * @brief The reason why an MPDU was dropped
  */
 enum WifiMacDropReason : uint8_t
 {
@@ -77,8 +78,8 @@
 typedef std::unordered_map<uint16_t /* staId */, Ptr<WifiPsdu> /* PSDU */> WifiPsduMap;
 
 /**
- * \brief base class for all MAC-level wifi objects.
- * \ingroup wifi
+ * @brief base class for all MAC-level wifi objects.
+ * @ingroup wifi
  *
  * This class encapsulates all the low-level MAC functionality
  * DCA, EDCA, etc) and all the high-level MAC functionality
@@ -89,8 +90,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -106,98 +107,98 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
+     * @param stream first stream index to use
      *
-     * \return the number of stream indices assigned by this model
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream);
 
     /**
      * Sets the device this PHY is associated with.
      *
-     * \param device the device this PHY is associated with
+     * @param device the device this PHY is associated with
      */
     void SetDevice(const Ptr<WifiNetDevice> device);
     /**
      * Return the device this PHY is associated with
      *
-     * \return the device this PHY is associated with
+     * @return the device this PHY is associated with
      */
     Ptr<WifiNetDevice> GetDevice() const;
 
     /**
      * Get the Frame Exchange Manager associated with the given link
      *
-     * \param linkId the ID of the given link
-     * \return the Frame Exchange Manager
+     * @param linkId the ID of the given link
+     * @return the Frame Exchange Manager
      */
     Ptr<FrameExchangeManager> GetFrameExchangeManager(uint8_t linkId = SINGLE_LINK_OP_ID) const;
 
     /**
-     * \param feManagers the frame exchange managers attached to this MAC.
+     * @param feManagers the frame exchange managers attached to this MAC.
      */
     void SetFrameExchangeManagers(const std::vector<Ptr<FrameExchangeManager>>& feManagers);
 
     /**
      * Get the Channel Access Manager associated with the given link
      *
-     * \param linkId the ID of the given link
-     * \return the Channel Access Manager
+     * @param linkId the ID of the given link
+     * @return the Channel Access Manager
      */
     Ptr<ChannelAccessManager> GetChannelAccessManager(uint8_t linkId = SINGLE_LINK_OP_ID) const;
 
     /**
-     * \param caManagers the channel access managers attached to this MAC.
+     * @param caManagers the channel access managers attached to this MAC.
      */
     void SetChannelAccessManagers(const std::vector<Ptr<ChannelAccessManager>>& caManagers);
 
     /**
      * Get the number of links (can be greater than 1 for 11be devices only).
      *
-     * \return the number of links used by this MAC
+     * @return the number of links used by this MAC
      */
     uint8_t GetNLinks() const;
 
     /**
-     * \return the set of link IDs in use by this device
+     * @return the set of link IDs in use by this device
      */
     const std::set<uint8_t>& GetLinkIds() const;
 
     /**
      * Get the ID of the link having the given MAC address, if any.
      *
-     * \param address the given MAC address
-     * \return the ID of the link having the given MAC address, if any
+     * @param address the given MAC address
+     * @return the ID of the link having the given MAC address, if any
      */
     virtual std::optional<uint8_t> GetLinkIdByAddress(const Mac48Address& address) const;
 
     /**
      * Get the ID of the link (if any) on which the given PHY is operating.
      *
-     * \param phy the given PHY
-     * \return the ID of the link (if any) on which the given PHY is operating
+     * @param phy the given PHY
+     * @return the ID of the link (if any) on which the given PHY is operating
      */
     std::optional<uint8_t> GetLinkForPhy(Ptr<const WifiPhy> phy) const;
 
     /**
      * Get the ID of the link (if any) on which the given PHY is operating.
      *
-     * \param phyId the index of the given PHY in the vector of PHYs held by WifiNetDevice
-     * \return the ID of the link (if any) on which the given PHY is operating
+     * @param phyId the index of the given PHY in the vector of PHYs held by WifiNetDevice
+     * @return the ID of the link (if any) on which the given PHY is operating
      */
     std::optional<uint8_t> GetLinkForPhy(std::size_t phyId) const;
 
     /**
      * Indicate if a given link is on the 6 GHz band.
      *
-     * \param linkId the ID of the given link
-     * \return whether the given link is on the 6 GHz band
+     * @param linkId the ID of the given link
+     * @return whether the given link is on the 6 GHz band
      */
     bool Is6GhzBand(uint8_t linkId) const;
 
     /**
-     * \param remoteAddr the (MLD or link) address of a remote device
-     * \return the MLD address of the remote device having the given (MLD or link) address, if
+     * @param remoteAddr the (MLD or link) address of a remote device
+     * @return the MLD address of the remote device having the given (MLD or link) address, if
      *         the remote device is an MLD.
      */
     std::optional<Mac48Address> GetMldAddress(const Mac48Address& remoteAddr) const;
@@ -213,58 +214,58 @@
      * - Otherwise, return the MAC address of the affiliated STA (which must exists) that
      * can be used to communicate with the remote device.
      *
-     * \param remoteAddr the MAC address of the remote device
-     * \return the local MAC address used to communicate with the remote device
+     * @param remoteAddr the MAC address of the remote device
+     * @return the local MAC address used to communicate with the remote device
      */
     Mac48Address GetLocalAddress(const Mac48Address& remoteAddr) const;
 
     /**
      * Accessor for the Txop object
      *
-     * \return a smart pointer to Txop
+     * @return a smart pointer to Txop
      */
     Ptr<Txop> GetTxop() const;
     /**
      * Accessor for a specified EDCA object
      *
-     * \param ac the Access Category
-     * \return a smart pointer to a QosTxop
+     * @param ac the Access Category
+     * @return a smart pointer to a QosTxop
      */
     Ptr<QosTxop> GetQosTxop(AcIndex ac) const;
     /**
      * Accessor for a specified EDCA object
      *
-     * \param tid the Traffic ID
-     * \return a smart pointer to a QosTxop
+     * @param tid the Traffic ID
+     * @return a smart pointer to a QosTxop
      */
     Ptr<QosTxop> GetQosTxop(uint8_t tid) const;
     /**
      * Get the wifi MAC queue of the (Qos)Txop associated with the given AC,
      * if such (Qos)Txop is installed, or a null pointer, otherwise.
      *
-     * \param ac the given Access Category
-     * \return the wifi MAC queue of the (Qos)Txop associated with the given AC,
+     * @param ac the given Access Category
+     * @return the wifi MAC queue of the (Qos)Txop associated with the given AC,
      *         if such (Qos)Txop is installed, or a null pointer, otherwise
      */
     virtual Ptr<WifiMacQueue> GetTxopQueue(AcIndex ac) const;
 
     /**
      * Check if the MAC has frames to transmit over the given link
-     * \param linkId the ID of the given link.
-     * \return whether the MAC has frames to transmit.
+     * @param linkId the ID of the given link.
+     * @return whether the MAC has frames to transmit.
      */
     virtual bool HasFramesToTransmit(uint8_t linkId);
 
     /**
      * Set the wifi MAC queue scheduler
      *
-     * \param scheduler the wifi MAC queue scheduler
+     * @param scheduler the wifi MAC queue scheduler
      */
     virtual void SetMacQueueScheduler(Ptr<WifiMacQueueScheduler> scheduler);
     /**
      * Get the wifi MAC queue scheduler
      *
-     * \return the wifi MAC queue scheduler
+     * @return the wifi MAC queue scheduler
      */
     Ptr<WifiMacQueueScheduler> GetMacQueueScheduler() const;
 
@@ -273,22 +274,22 @@
      * station it is implementing. This is something that the channel
      * access functions need to know.
      *
-     * \param type the type of station.
+     * @param type the type of station.
      */
     void SetTypeOfStation(TypeOfStation type);
     /**
      * Return the type of station.
      *
-     * \return the type of station.
+     * @return the type of station.
      */
     TypeOfStation GetTypeOfStation() const;
 
     /**
-     * \param ssid the current SSID of this MAC layer.
+     * @param ssid the current SSID of this MAC layer.
      */
     void SetSsid(Ssid ssid);
     /**
-     * \brief Sets the interface in promiscuous mode.
+     * @brief Sets the interface in promiscuous mode.
      *
      * Enables promiscuous mode on the interface. Note that any further
      * filtering on the incoming frame path may affect the overall
@@ -298,31 +299,31 @@
     /**
      * Enable or disable CTS-to-self feature.
      *
-     * \param enable true if CTS-to-self is to be supported,
+     * @param enable true if CTS-to-self is to be supported,
      *               false otherwise
      */
     void SetCtsToSelfSupported(bool enable);
 
     /**
-     * \return the MAC address associated to this MAC layer.
+     * @return the MAC address associated to this MAC layer.
      */
     Mac48Address GetAddress() const;
     /**
-     * \return the SSID which this MAC layer is going to try to stay in.
+     * @return the SSID which this MAC layer is going to try to stay in.
      */
     Ssid GetSsid() const;
     /**
-     * \param address the current address of this MAC layer.
+     * @param address the current address of this MAC layer.
      */
     virtual void SetAddress(Mac48Address address);
     /**
-     * \return the BSSID of the network the given link belongs to.
-     * \param linkId the ID of the given link
+     * @return the BSSID of the network the given link belongs to.
+     * @param linkId the ID of the given link
      */
     Mac48Address GetBssid(uint8_t linkId) const;
     /**
-     * \param bssid the BSSID of the network that the given link belongs to.
-     * \param linkId the ID of the given link
+     * @param bssid the BSSID of the network that the given link belongs to.
+     * @param linkId the ID of the given link
      */
     void SetBssid(Mac48Address bssid, uint8_t linkId);
 
@@ -331,9 +332,9 @@
      * the station with the given address for the given reason. The given MAC address
      * must be the MLD address in case the addressed device is multi-link.
      *
-     * \param reason the reason for blocking transmissions
-     * \param address the MAC address of the given device
-     * \param linkIds the IDs of the links to block
+     * @param reason the reason for blocking transmissions
+     * @param address the MAC address of the given device
+     * @param linkIds the IDs of the links to block
      */
     void BlockUnicastTxOnLinks(WifiQueueBlockedReason reason,
                                const Mac48Address& address,
@@ -344,9 +345,9 @@
      * the station with the given address for the given reason. The given MAC address
      * must be the MLD address in case the addressed device is multi-link.
      *
-     * \param reason the reason for unblocking transmissions
-     * \param address the MAC address of the given device
-     * \param linkIds the IDs of the links to unblock
+     * @param reason the reason for unblocking transmissions
+     * @param address the MAC address of the given device
+     * @param linkIds the IDs of the links to unblock
      */
     void UnblockUnicastTxOnLinks(WifiQueueBlockedReason reason,
                                  const Mac48Address& address,
@@ -356,11 +357,11 @@
      * Check whether the transmission of the packets in the given container queue of the given
      * Access Category are blocked on the given link for the given reason (if any).
      *
-     * \param ac the given Access Category
-     * \param queueId the given container queue
-     * \param linkId the ID of the given link
-     * \param reason the reason to block transmissions (REASONS_COUNT indicate no reason)
-     * \return whether transmission is blocked
+     * @param ac the given Access Category
+     * @param queueId the given container queue
+     * @param linkId the ID of the given link
+     * @param reason the reason to block transmissions (REASONS_COUNT indicate no reason)
+     * @return whether transmission is blocked
      */
     bool GetTxBlockedOnLink(
         AcIndex ac,
@@ -372,14 +373,14 @@
      * Return true if packets can be forwarded to the given destination,
      * false otherwise.
      *
-     * \param to the address to which the packet should be sent
-     * \return whether packets can be forwarded to the given destination
+     * @param to the address to which the packet should be sent
+     * @return whether packets can be forwarded to the given destination
      */
     virtual bool CanForwardPacketsTo(Mac48Address to) const = 0;
 
     /**
-     * \param packet the packet to send.
-     * \param to the address to which the packet should be sent.
+     * @param packet the packet to send.
+     * @param to the address to which the packet should be sent.
      *
      * The packet should be enqueued in a TX queue, and should be
      * dequeued as soon as the DCF/EDCA function determines that
@@ -388,9 +389,9 @@
     void Enqueue(Ptr<Packet> packet, Mac48Address to);
 
     /**
-     * \param packet the packet to send.
-     * \param to the address to which the packet should be sent.
-     * \param from the address from which the packet should be sent.
+     * @param packet the packet to send.
+     * @param to the address to which the packet should be sent.
+     * @param from the address from which the packet should be sent.
      *
      * The packet should be enqueued in a TX queue, and should be
      * dequeued as soon as the DCF/EDCA function determines that
@@ -401,10 +402,10 @@
     void Enqueue(Ptr<Packet> packet, Mac48Address to, Mac48Address from);
 
     /**
-     * \param packet the packet to send.
-     * \param to the address to which the packet should be sent.
-     * \param from the address from which the packet should be sent.
-     * \param tid the TID to use to send this packet
+     * @param packet the packet to send.
+     * @param to the address to which the packet should be sent.
+     * @param from the address from which the packet should be sent.
+     * @param tid the TID to use to send this packet
      *
      * The packet should be enqueued in a TX queue, and should be
      * dequeued as soon as the DCF/EDCA function determines that
@@ -414,7 +415,7 @@
     void Enqueue(Ptr<Packet> packet, Mac48Address to, Mac48Address from, uint8_t tid);
 
     /**
-     * \return if this MAC supports sending from arbitrary address.
+     * @return if this MAC supports sending from arbitrary address.
      *
      * The interface may or may not support sending from arbitrary address.
      * This function returns true if sending from arbitrary address is supported,
@@ -423,12 +424,12 @@
     virtual bool SupportsSendFrom() const;
 
     /**
-     * \param phys the physical layers attached to this MAC.
+     * @param phys the physical layers attached to this MAC.
      */
     virtual void SetWifiPhys(const std::vector<Ptr<WifiPhy>>& phys);
     /**
-     * \param linkId the index (starting at 0) of the PHY object to retrieve
-     * \return the physical layer attached to this MAC
+     * @param linkId the index (starting at 0) of the PHY object to retrieve
+     * @return the physical layer attached to this MAC
      */
     Ptr<WifiPhy> GetWifiPhy(uint8_t linkId = SINGLE_LINK_OP_ID) const;
     /**
@@ -437,18 +438,18 @@
     void ResetWifiPhys();
 
     /**
-     * \param stationManager the station manager attached to this MAC.
+     * @param stationManager the station manager attached to this MAC.
      */
     void SetWifiRemoteStationManager(Ptr<WifiRemoteStationManager> stationManager);
     /**
-     * \param stationManagers the station managers attached to this MAC.
+     * @param stationManagers the station managers attached to this MAC.
      */
     void SetWifiRemoteStationManagers(
         const std::vector<Ptr<WifiRemoteStationManager>>& stationManagers);
     /**
-     * \param linkId the ID (starting at 0) of the link of the RemoteStationManager object
+     * @param linkId the ID (starting at 0) of the link of the RemoteStationManager object
      * to retrieve
-     * \return the remote station manager operating on the given link
+     * @return the remote station manager operating on the given link
      */
     Ptr<WifiRemoteStationManager> GetWifiRemoteStationManager(uint8_t linkId = 0) const;
 
@@ -456,23 +457,23 @@
      * This type defines the callback of a higher layer that a
      * WifiMac(-derived) object invokes to pass a packet up the stack.
      *
-     * \param packet the packet that has been received.
-     * \param from the MAC address of the device that sent the packet.
-     * \param to the MAC address of the device that the packet is destined for.
+     * @param packet the packet that has been received.
+     * @param from the MAC address of the device that sent the packet.
+     * @param to the MAC address of the device that the packet is destined for.
      */
     typedef Callback<void, Ptr<const Packet>, Mac48Address, Mac48Address> ForwardUpCallback;
 
     /**
-     * \param upCallback the callback to invoke when a packet must be
+     * @param upCallback the callback to invoke when a packet must be
      *        forwarded up the stack.
      */
     void SetForwardUpCallback(ForwardUpCallback upCallback);
     /**
-     * \param linkUp the callback to invoke when the link becomes up.
+     * @param linkUp the callback to invoke when the link becomes up.
      */
     virtual void SetLinkUpCallback(Callback<void> linkUp);
     /**
-     * \param linkDown the callback to invoke when the link becomes down.
+     * @param linkDown the callback to invoke when the link becomes down.
      */
     void SetLinkDownCallback(Callback<void> linkDown);
     /* Next functions are not pure virtual so non QoS WifiMacs are not
@@ -482,12 +483,12 @@
     /**
      * Notify that channel on the given link has been switched.
      *
-     * \param linkId the ID of the given link
+     * @param linkId the ID of the given link
      */
     virtual void NotifyChannelSwitching(uint8_t linkId);
 
     /**
-     * \param packet the packet being enqueued
+     * @param packet the packet being enqueued
      *
      * Public method used to fire a MacTx trace. Implemented for encapsulation purposes.
      * Note this trace indicates that the packet was accepted by the device only.
@@ -495,7 +496,7 @@
      */
     void NotifyTx(Ptr<const Packet> packet);
     /**
-     * \param packet the packet being dropped
+     * @param packet the packet being dropped
      *
      * Public method used to fire a MacTxDrop trace.
      * This trace indicates that the packet was dropped before it was queued for
@@ -503,163 +504,176 @@
      */
     void NotifyTxDrop(Ptr<const Packet> packet);
     /**
-     * \param packet the packet we received
+     * @param packet the packet we received
      *
      * Public method used to fire a MacRx trace. Implemented for encapsulation purposes.
      */
     void NotifyRx(Ptr<const Packet> packet);
     /**
-     * \param packet the packet we received promiscuously
+     * @param packet the packet we received promiscuously
      *
      * Public method used to fire a MacPromiscRx trace. Implemented for encapsulation purposes.
      */
     void NotifyPromiscRx(Ptr<const Packet> packet);
     /**
-     * \param packet the packet we received but is not destined for us
+     * @param packet the packet we received but is not destined for us
      *
      * Public method used to fire a MacRxDrop trace. Implemented for encapsulation purposes.
      */
     void NotifyRxDrop(Ptr<const Packet> packet);
 
     /**
-     * \return pointer to HtConfiguration if it exists
+     * @return pointer to HtConfiguration if it exists
      */
     Ptr<HtConfiguration> GetHtConfiguration() const;
     /**
-     * \return pointer to VhtConfiguration if it exists
+     * @return pointer to VhtConfiguration if it exists
      */
     Ptr<VhtConfiguration> GetVhtConfiguration() const;
     /**
-     * \return pointer to HeConfiguration if it exists
+     * @return pointer to HeConfiguration if it exists
      */
     Ptr<HeConfiguration> GetHeConfiguration() const;
     /**
-     * \return pointer to EhtConfiguration if it exists
+     * @return pointer to EhtConfiguration if it exists
      */
     Ptr<EhtConfiguration> GetEhtConfiguration() const;
 
     /**
      * Return the extended capabilities of the device.
      *
-     * \return the extended capabilities that we support
+     * @return the extended capabilities that we support
      */
     ExtendedCapabilities GetExtendedCapabilities() const;
     /**
      * Return the HT capabilities of the device for the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the HT capabilities that we support
+     * @param linkId the ID of the given link
+     * @return the HT capabilities that we support
      */
     HtCapabilities GetHtCapabilities(uint8_t linkId) const;
     /**
      * Return the VHT capabilities of the device for the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the VHT capabilities that we support
+     * @param linkId the ID of the given link
+     * @return the VHT capabilities that we support
      */
     VhtCapabilities GetVhtCapabilities(uint8_t linkId) const;
     /**
      * Return the HE capabilities of the device for the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the HE capabilities that we support
+     * @param linkId the ID of the given link
+     * @return the HE capabilities that we support
      */
     HeCapabilities GetHeCapabilities(uint8_t linkId) const;
     /**
      * Return the HE 6GHz band capabilities of the device for the given 6 GHz link.
      *
-     * \param linkId the ID of the given 6 GHz link
-     * \return the HE 6GHz band capabilities that we support
+     * @param linkId the ID of the given 6 GHz link
+     * @return the HE 6GHz band capabilities that we support
      */
     He6GhzBandCapabilities GetHe6GhzBandCapabilities(uint8_t linkId) const;
     /**
      * Return the EHT capabilities of the device for the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the EHT capabilities that we support
+     * @param linkId the ID of the given link
+     * @return the EHT capabilities that we support
      */
     EhtCapabilities GetEhtCapabilities(uint8_t linkId) const;
 
     /**
      * Return whether the device supports QoS.
      *
-     * \return true if QoS is supported, false otherwise
+     * @return true if QoS is supported, false otherwise
      */
     bool GetQosSupported() const;
     /**
      * Return whether the device supports ERP on the given link.
      *
-     * \param linkId the ID of the given link
-     * \return true if ERP is supported, false otherwise
+     * @param linkId the ID of the given link
+     * @return true if ERP is supported, false otherwise
      */
     bool GetErpSupported(uint8_t linkId) const;
     /**
      * Return whether the device supports DSSS on the given link.
      *
-     * \param linkId the ID of the given link
-     * \return true if DSSS is supported, false otherwise
+     * @param linkId the ID of the given link
+     * @return true if DSSS is supported, false otherwise
      */
     bool GetDsssSupported(uint8_t linkId) const;
     /**
      * Return whether the device supports HT on the given link.
      *
-     * \param linkId the ID of the given link.
-     * \return true if HT is supported, false otherwise
+     * @param linkId the ID of the given link.
+     * @return true if HT is supported, false otherwise
      */
     bool GetHtSupported(uint8_t linkId) const;
     /**
      * Return whether the device supports VHT on the given link.
      *
-     * \param linkId the ID of the given link.
-     * \return true if VHT is supported, false otherwise
+     * @param linkId the ID of the given link.
+     * @return true if VHT is supported, false otherwise
      */
     bool GetVhtSupported(uint8_t linkId) const;
     /**
      * Return whether the device supports HE.
      *
-     * \return true if HE is supported, false otherwise
+     * @return true if HE is supported, false otherwise
      */
     bool GetHeSupported() const;
     /**
      * Return whether the device supports EHT.
      *
-     * \return true if EHT is supported, false otherwise
+     * @return true if EHT is supported, false otherwise
      */
     bool GetEhtSupported() const;
 
     /**
-     * \param address the (link or MLD) address of a remote station
-     * \return true if the remote station with the given address supports HT
+     * @param address the (link or MLD) address of a remote station
+     * @return true if the remote station with the given address supports HT
      */
     bool GetHtSupported(const Mac48Address& address) const;
     /**
-     * \param address the (link or MLD) address of a remote station
-     * \return true if the remote station with the given address supports VHT
+     * @param address the (link or MLD) address of a remote station
+     * @return true if the remote station with the given address supports VHT
      */
     bool GetVhtSupported(const Mac48Address& address) const;
     /**
-     * \param address the (link or MLD) address of a remote station
-     * \return true if the remote station with the given address supports HE
+     * @param address the (link or MLD) address of a remote station
+     * @return true if the remote station with the given address supports HE
      */
     bool GetHeSupported(const Mac48Address& address) const;
     /**
-     * \param address the (link or MLD) address of a remote station
-     * \return true if the remote station with the given address supports EHT
+     * @param address the (link or MLD) address of a remote station
+     * @return true if the remote station with the given address supports EHT
      */
     bool GetEhtSupported(const Mac48Address& address) const;
 
     /**
+     * Enable or disable Robust AV Streaming support for the device.
+     *
+     * @param enable whether Robust AV Streaming is supported
+     */
+    void SetRobustAVStreamingSupported(bool enable);
+    /**
+     * Return whether the device supports Robust AV Streaming.
+     *
+     * @return true if Robust AV Streaming is supported, false otherwise
+     */
+    bool GetRobustAVStreamingSupported() const;
+
+    /**
      * Return the maximum A-MPDU size of the given Access Category.
      *
-     * \param ac Access Category index
-     * \return the maximum A-MPDU size
+     * @param ac Access Category index
+     * @return the maximum A-MPDU size
      */
     uint32_t GetMaxAmpduSize(AcIndex ac) const;
     /**
      * Return the maximum A-MSDU size of the given Access Category.
      *
-     * \param ac Access Category index
-     * \return the maximum A-MSDU size
+     * @param ac Access Category index
+     * @return the maximum A-MSDU size
      */
     uint16_t GetMaxAmsduSize(AcIndex ac) const;
 
